Type to search.

Get info about events in calendars

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Required privileges

Cluster privileges monitor_ml

Path parameters

calendar_id string required

A string that uniquely identifies a calendar. You can get information for multiple calendars by using a comma-separated list of ids or a wildcard expression. You can get information for all calendars by using _all or * or by omitting the calendar identifier.

Query parameters

end union oneOf

Specifies to get events with timestamps earlier than this time.

One of: string or number
from number · default: 0

Skips the specified number of events.

job_id string

Specifies to get events for a specific anomaly detection job identifier or job group. It must be used with a calendar identifier of _all or *.

size number · default: 100

Specifies the maximum number of events to obtain.

start union oneOf

Specifies to get events with timestamps after this time.

One of: string or number

Response

application/json
count number required
events object[] required
calendar_id string

A string that uniquely identifies a calendar.

event_id string
description string required

A description of the scheduled event.

end_time union oneOf required

The timestamp for the end of the scheduled event in milliseconds since the epoch or ISO 8601 format.

One of: string or number
start_time union oneOf required

The timestamp for the beginning of the scheduled event in milliseconds since the epoch or ISO 8601 format.

One of: string or number